Subject: Re: [avail for test] readline-4.2-1
From: Jason Tishler <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked]
Date: Tue, 5 Jun 2001 11:32:03 -0400

Chuck,

On Mon, Jun 04, 2001 at 10:42:18AM -0400, Charles S. Wilson wrote:
> Jason Tishler wrote:
> > I will update Cygwin PostgreSQL and Python ASAP to facilitate the upgrade
> > to readline-4.2-1.
> 
> Don't rush.  I like some testing time before we make the switch to 4.2
> official.  Remember, I had to reapply (mostly re-edit) my 200k patch by
> hand because the 4.1patch didn't apply cleanly.  So, 4.2 is basically a
> "new" port.  Let's give it a while to settle.  It seems to work fine
> *for me*, but outside confirmation is a good thing.

Unfortunately, due to API changes (i.e., deprecation) both PostgreSQL
and Python no longer build OOTB.  PostgreSQL and Python fail to link
because filename_completion_function() and completion_matches() are no
longer being exported from the readline's import library, respectively:

    $ nm /usr/lib/libreadline.dll.a | egrep 'filename_completion_function|completion_matches' | fgrep -v rl

However, these functions are still contained in the readline shared and
static libraries for backwards compatibility:

    $ nm /usr/bin/cygreadline4.2.dll | egrep 'filename_completion_function|completion_matches' | fgrep -v rl
    66dd9440 T _completion_matches
    66dd9488 T _filename_completion_function

    $ nm /usr/lib/libreadline.a | egrep 'filename_completion_function|completion_matches' | fgrep -v rl
    000000a8 T _completion_matches
    000000f0 T _filename_completion_function

Would you be willing to re-export these two functions (and possibly all
of the ones in compat.c)?  Otherwise, this is going to take some time...

Devise patches, submit patches, wait for patches to be considered,
revise patches, submit patches, etc...

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple